var TestApp = {};

(function() {
	Ti.API.info('TestApp - Starting Application and loading global variables');
	Ti.include('TestApp.js');
	Ti.API.info('TestApp is Running on: ' + TestApp.UserPlatform + '(' + TestApp.UserOS + ')');
Ti.API.info(TestApp.DeviceWidth + 'x' + TestApp.DeviceHeight + ' (' + Titanium.Platform.displayCaps.dpi + ')');

	var FirstRun = Ti.App.Properties.getBool("FirstRun", true);
	Ti.API.info("TestApp - FirstRun: " + FirstRun);
	if (FirstRun) {
		//Perform one time app initialization functions (DB creation, etc) here

		//Create the Database.
		//var db = require('lib/db');
		//db.CreateDatabase(Ti.App.version);

		Ti.App.Properties.setBool("FirstRun", false);
	}

	//Init Main Window
	var RootTabGroup = require('ui/common/RootTabGroup');
	var AppTabs = new RootTabGroup();
	AppTabs.open();

	Ti.API.info('TestApp initialized');
})();
