module.exports = function() {
	var Window = require('ui/lib/ApplicationWindow');

	var self = new Window('Video Window', 'absolute');
	
	var ScrollView = Ti.UI.createScrollView({
		scrollType: 'vertical',
		layout: 'vertical'
	});
	self.add(ScrollView);

	var PlayButton = Ti.UI.createButton({
		backgroundImage: '/images/192.jpg',
		image: '/images/play-button.png',
		top: 0,
		height: 200,
		width: '100%'
	});


	
	PlayButton.addEventListener('click', function(e) {
//		var VideoWindowObj = require('ui/common/VideoWindow');
//		var Player = new VideoWindowObj({title: Sermon.name, videos: Sermon.videos});
//		self.containingTab.open(Player);
		var Video = Ti.Media.createVideoPlayer({
			url: "http://player.vimeo.com/external/73155509.sd.mp4?s=3d47a1a6c6f8889c1350d9f48f143893",
			fullscreen: true,
			autoplay: true,
			backgroundColor: '#000',
			mediaControlStyle: Ti.Media.VIDEO_CONTROL_DEFAULT,
			scalingMode: Ti.Media.VIDEO_SCALING_ASPECT_FIT
		});		
		if (TestApp.UserPlatform == 'iphone') {
			Video.top = 0;
			Video.addEventListener('fullscreen', function(e) {
				if (e.entering == 0)
					self.remove(Video);
			});
			
			self.add(Video);
		}

	});
	ScrollView.add(PlayButton);

	var ContentView = Ti.UI.createView({
		left: 10,
		right: 10,
		top: 20,
		layout: 'vertical',
		height: Ti.UI.SIZE
	});
	ScrollView.add(ContentView);


	var SermonTitle = Ti.UI.createLabel({
		text: "Sermon Name",
		textAlgin: Ti.UI.TEXT_ALIGNMENT_LEFT,
		width: '100%',
		font: {
			fontSize: 18,
			fontWeight: 'bold'
		},
		top: 0
	});
	ContentView.add(SermonTitle);


	var SermonProperties = Ti.UI.createView({
		top: 10,
		layout: 'absolute',
		height: Ti.UI.SIZE
	});
	ContentView.add(SermonProperties);

	var Speaker = Ti.UI.createLabel({
		text: "Speaker Name",
		right: 100,
		left: 0,
		textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT
	});
	SermonProperties.add(Speaker);

	var SermonDate = Ti.UI.createLabel({
		text: "Sermon Date",
		right: 0,
		width: 100
	});
	SermonProperties.add(SermonDate);

	var Description = Ti.UI.createLabel({
		text: "A long description of the sermon.",
		top: 10
	});
	ContentView.add(Description);

	
	return self;
};






