module.exports = function(LabelContent) {

	var Window = require('ui/lib/ApplicationWindow');
	var self = new Window('TestApp', 'vertical');

	var TestImage = Ti.UI.createImageView({
		image: 'http://placehold.it/320x180',
		left: 0,
		right: 0,
		height: Ti.UI.SIZE,
		top: 40,
		backgroundColor: '#ff0000'
	});

	self.add(TestImage);


	var Info = Ti.UI.createLabel({
		top: 40,
		left: 20,
		right: 20,
		height: Ti.UI.SIZE,
		textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT,
		color: '#000',
		font: {
			fontSize: 30
		},
		text: 'The 320x180 image above should be scaled UP to fill the width of the window (left: 0, right: 0) with it\'s height automatically adjusted to maintain the image aspect ratio. This is exactly what happens on iOS. but on android, the ImageViewHeight is contstrained to the original image height, and the image\'s aspect ratio is maintained, thus leaving a large unfilled area to the left and right of the image. Since the size is set to Ti.UI.SIZE, the expected behaviour would be that the image is scaled up to fit the full width of the ImageView and it\'s size adjusted upward to fit the contents of the scaled up image. Again, on iOS this expected behaviour is exactly what happens. But on Android, you get the unexpected result of an image with limited width.'

	});

	self.add(Info);

	return self;
}
